[role="xpack"]

:type: cloudfoundry

[id="{beatname_lc}-input-{type}"]
=== Cloud Foundry input

++++
<titleabbrev>Cloud Foundry</titleabbrev>
++++

beta[]

Use the `cloudfoundry` input to get http access logs, container logs and error logs from Cloud Foundry. Connects to
the Cloud Foundry loggregator to receive events.

Example configurations:

["source","yaml",subs="attributes"]
----
{beatname_lc}.inputs:
- type: cloudfoundry
  api_address: https://api.dev.cfdev.sh
  client_id: uaa-filebeat
  client_secret: verysecret
  shard_id: filebeat
  ssl:
      verification_mode: none
----

["source","yaml",subs="attributes"]
----
{beatname_lc}.inputs:
- type: cloudfoundry
  api_address: https://api.dev.cfdev.sh
  client_id: uaa-filebeat
  client_secret: verysecret
  shard_id: filebeat
  ssl.certificate_authorities: ["/etc/pki/cf/ca.pem"]
  ssl.certificate: "/etc/pki/cf/cert.pem"
  ssl.key: "/etc/pki/cf/cert.key"

----


==== Configuration options

The `cloudfoundry` input supports the following configuration options plus the
<<{beatname_lc}-input-{type}-common-options>> described later.

[float]
==== `api_address`

The URL of the Cloud Foundry API. Optional. Default: "http://api.bosh-lite.com".

[float]
==== `doppler_address`

The URL of the Cloud Foundry Doppler Websocket. Optional. Default: "(value from ${api_address}/v2/info)".

[float]
==== `uaa_address`

The URL of the Cloud Foundry UAA API. Optional. Default: "(value from ${api_address}/v2/info)".

[float]
==== `rlp_address`

The URL of the Cloud Foundry RLP Gateway. Optional. Default: "(`log-stream` subdomain under the same domain as `api_server`)".

[float]
==== `client_id`

Client ID to authenticate with Cloud Foundry. Default: "".

[float]
==== `client_secret`

Client Secret to authenticate with Cloud Foundry. Default: "".

[float]
==== `shard_id`

Shard ID for the connection with Cloud Foundry. Use the same ID across multiple {beatname_lc} to shard the load of events. Default: "(generated UUID)".

[float]
==== `version`

Consumer API version to connect with Cloud Foundry to collect events. Use `v1` to collect events using Doppler/Traffic Control.
Use `v2` to collect events from the RLP Gateway. Default: "`v1`".

[float]
==== `ssl`

This specifies SSL/TLS common config. Default: not used.

[id="{beatname_lc}-input-{type}-common-options"]
include::../../../../filebeat/docs/inputs/input-common-options.asciidoc[]

:type!:
